Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Receivement

Receivement

Deprecated

Print or send receivement receipt

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/receipt

Send receivement receipt as PDF, print on printer or get as PDF

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
recepientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault: true
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/receipt

Email PDF of receivement receipt

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email

Email PDF of receivement receipt

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
recepientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault: true
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email

Download PDF of receivement receipt

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download

Download PDF of receivement receipt

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download

List receivements

get
/tenants/{tenantUid}/stores/{storeUid}/receivements

List all receivements.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
receivementProductUidstringOptional

Reference to a product uid.

Pattern: ^[A-Za-z0-9-_]+
receivementPurchaseOrderUidstringOptional

Reference to a purchaseOrder uid.

Pattern: ^[A-Za-z0-9-_]+
receivementExternalIdstringOptional

External reference to a receivement.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/receivements
200

Example response

Create a new receivement

post
/tenants/{tenantUid}/stores/{storeUid}/receivements

Create a new receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
receivementUidstringOptionalPattern: ^[A-Za-z0-9-_]+
externalIdstringOptional

External reference to receivement

packingListstringOptional
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUM Description
RECEIVED Received
PENDING Put aside, not finished
UPDATING Updating in progress
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUM Description
RECEIVED Received
PENDING Put aside, not finished
UPDATING Updating in progress
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/stores/{storeUid}/receivements
200

Example response

Get receivement details

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}

Get details for a receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUM Description
RECEIVED Received
PENDING Put aside, not finished
UPDATING Updating in progress
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
200

Example response

Update receivement details

put
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}

Update the details of a receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
externalIdstringOptional

External reference to receivement

packingListstringOptional
statusstring · enumOptional
ENUM Description
RECEIVED Received
PENDING Put aside, not finished
UPDATING Updating in progress
Possible values:
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUM Description
RECEIVED Received
PENDING Put aside, not finished
UPDATING Updating in progress
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
200

Example response

Delete a receivement

delete
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}

Delete a receivement. Only allowed if ReceivementStatus is not UPDATING or COMPLETED.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
204

No Content

No content

List receivement items

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items

List all items belonging to a specific receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
200

Example response

Add an item to a receivement

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items

Add an item to a receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body

If you need to receive more than one quantity for items that required serialnumber you need to add one line for each serialnumber.

Example: You are going to receive 3 stk of purchaseorderItemUid 33, then you need to add 3 ReceivementItemCreate lines with quantity 1 and the serialnumber for each item.

externalIdstringOptional

External reference to receivement line

purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
serialnumberstringOptional
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional

The unit cost price in local currency

notestringOptional
receivementItemUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
200

Example response

Get receivement item details

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}

Get details on an item on a receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
200

Example response

Update receivement item details

put
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}

Update details of an item on a receivement.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Body

If you need to receive more than one quantity for items that required serialnumber you need to add one line for each serialnumber.

Example: You are going to receive 3 stk of purchaseorderItemUid 33, then you need to add 3 ReceivementItemCreate lines with quantity 1 and the serialnumber for each item.

externalIdstringOptional

External reference to receivement line

purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
serialnumberstringOptional
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional

The unit cost price in local currency

notestringOptional
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

put/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
200

Example response

delete
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}

Remove an item from a receivement. Only possible if the item does not have UPDATING or RECEIVED status.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
204

No Content

No content

Last updated

Was this helpful?